<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <OutputType Condition="'$(Configuration)' == 'Debug'">Exe</OutputType>
        <OutputType Condition="'$(Configuration)' != 'Debug'">WinExe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <LangVersion>latest</LangVersion>
        <Nullable>enable</Nullable>
        <ImplicitUsings>disable</ImplicitUsings>
        <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
        <ApplicationManifest>гойда.manifest</ApplicationManifest>
        <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
        <ApplicationIcon>капитал\кубе.ico</ApplicationIcon>
        <AssemblyName>млаумчерб</AssemblyName>
        <Configurations>Release;Debug</Configurations>
        <Platforms>x64</Platforms>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Avalonia" Version="11.*" />
        <PackageReference Include="Avalonia.Desktop" Version="11.*" />
        <PackageReference Include="Avalonia.Themes.Simple" Version="11.*" />
        <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.*" />
        <PackageReference Include="Avalonia.Labs.Gif" Version="11.2.999-cibuild-00051673"/>
        <PackageReference Include="CliWrap" Version="3.6.*" />
        <PackageReference Include="DTLib" Version="1.4.2" />
        <PackageReference Include="MessageBox.Avalonia" Version="3.1.*" />
        <PackageReference Include="Newtonsoft.Json" Version="13.*" />
    </ItemGroup>

    <ItemGroup>
        <AvaloniaResource Include="капитал\**"/>
    </ItemGroup>

    <ItemGroup>
      <Compile Update="видимое\VersionItemView.axaml.cs">
        <DependentUpon>VersionItemView.axaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="видимое\Окне.axaml.cs">
        <DependentUpon>Окне.axaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="видимое\Приложение.axaml.cs">
        <DependentUpon>Приложение.axaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
    </ItemGroup>

</Project>
